#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

#define SCREEN_WIDTH 320
#define SCREEN_HEIGHT 480

#define OLED_MOSI   9
#define OLED_CLK   10
#define OLED_DC    11
#define OLED_CS    12
#define OLED_RESET 13

Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, OLED_MOSI, OLED_CLK, OLED_DC, OLED_RESET, OLED_CS);

void setup()
{
  display.begin(SSD1306_SWITCHCAPVCC);
  display.dim(true);
}

void loop()
{
  display.clearDisplay();
  display.setTextColor(WHITE);
  display.setTextSize(1);
  display.setCursor(0, 0);

  display.setTextWrap(true);
  display.println("aaaabbbbccccddddffffeeeegggghhhh");

  display.setTextWrap(false);
  display.println("aaaabbbbccccddddffffeeeegggghhhh");

  display.println("SSD1306");

  display.setTextSize(2);
  display.println("SSD1306");

  display.setTextSize(2, 1);
  display.println("SSD1306");
  display.display();

  delay(2000);

  bool b = true;
  for (int i = 0; i < 8; i++)
  {
    display.dim(b);
    delay(750);
    b = !b;
  }

  delay(2000);

  display.println("Off");
  display.display();
  delay(1000);
  display.ssd1306_command(SSD1306_DISPLAYOFF);

  delay(2000);
  display.println("On");
  display.display();
  display.ssd1306_command(SSD1306_DISPLAYON);
  delay(2000);
}
